GET /user_task_lists/{user_task_list_gid}/tasks
Operation ID: getTasksForUserTaskList
Auth: oauth2
Description
Returns the compact list of tasks in a user’s My Tasks list. *Note: Access control is enforced for this endpoint as with all Asana API endpoints, meaning a user’s private tasks will be filtered out if the API-authenticated user does not have access to them.* *Note: Both complete and incomplete tasks are returned by default unless they are filtered out (for example, setting `completed_since=now` will return only incomplete tasks, which is the default view for “My Tasks” in Asana.)*
Parameters (6)
(string, query, optional)
Only return tasks that are either incomplete or that have been completed since this time. Accepts a date-time string or the keyword *now*.
(integer, query, optional)
Results per page. The number of objects to return per page. The value must be between 1 and 100.
(string, query, optional)
Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. 'Note: You can only pass in an offset that was returned to you via a previously paginated request.'
(array, query, optional)
Defines fields to return. Some requests return *compact* representations of objects in order to conserve resources and complete the request more efficiently. Other times requests return more information than you may need. This option allows you to list the exact set of fields that the API should be sure to return for the objects. The field names should be provided as paths, described below. The id of included objects will always be returned, regardless of the field options.
(boolean, query, optional)
Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
(string, path, required)
Globally unique identifier for the user task list.
No probe data for this endpoint yet.